{ pkgs ? import <nixpkgs> {}
, ghc ? null
, withHoogle ? false
}:
let
  haskellPackages =
    if ghc == null
    then pkgs.haskellPackages
    else pkgs.haskell.packages.${ghc};
  hs = haskellPackages.extend (with pkgs.haskell.lib; hself: hsuper: {
      symantic-base = buildFromSdist (hself.callCabal2nix "symantic-base" ./. {});
  });
in hs.symantic-base // {
  shell = hs.shellFor {
    doBenchmark = true;
    packages = p: [ p.symantic-base ];
    nativeBuildInputs = [
      hs.cabal-install
      hs.ghcid
      hs.haskell-language-server
      hs.hlint
    ];
    buildInputs = [
    ];
    inherit withHoogle;
  };
}
